.TH JACK_DELAY "1" "August 2017" "" "User Commands"
.SH NAME
jack\_delay \- JACK sound card latency meter
.SH DESCRIPTION
.B jack_delay
can be used to measure the round-trip latency of a soundcard.
To do this, start the program and connect like this:
jack_delay \-> playback_port \-> cable from soundcard output to input \-> capture port \-> jack_delay
.PP
.B jack_delay
generates a signal consisting of 13 sine waves, measures the
phase difference between the input and output for each of these, and
computes the delay from those phase differences. The algorithm used is
one developed originally for satellite ranging -  that is measuring the
distance between a satellite and a ground station.
With a good sound card jack_delay will measure the round-trip latency
with an accuracy of around 1/1000 of a sample. The assumption is that
the delay is more or less independent of frequency. The actual value
displayed is the one for a frequency of 1/16 of the sample rate. The
phase measurement for this frequency of course only provides a result
in the range of 0..16 samples. The other frequencies are used to extend
this interval to 4096 * 16 samples, more than a second at 48 kHz.
.SH OPTIONS
.TP
\fB\-h\fR
Display this text
.TP
\fB\-O\fR <playback port>
connect output to named port. e.g. system:playback_1
.TP
\fB\-I\fR <capture port>
connect input to named port. e.g. system:capture_1
.TP
\fB\-E\fR
show excess latency instead of full latency.
.PP
.SH "AUTHOR"
jack_delay was written by Fons Adriaensen <fons@linuxaudio.org>.
.PP
This manual page was written by Jaromír Mikeš <mira.mikes@seznam.cz>
for the Debian project (but may be used by others).
